Skip to main content
GET
/
platform
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://api.moonpay.com/platform/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "status": "completed",
      "source": {
        "amount": "<string>",
        "asset": {
          "code": "USD"
        }
      },
      "destination": {
        "amount": "<string>",
        "asset": {
          "code": "<string>"
        }
      },
      "fees": {
        "network": {
          "amount": "<string>",
          "asset": {
            "code": "USD"
          }
        },
        "moonpay": {
          "amount": "<string>",
          "asset": {
            "code": "USD"
          }
        },
        "partner": {
          "amount": "<string>",
          "asset": {
            "code": "USD"
          }
        }
      },
      "wallet": {
        "address": "0x1234567890123456789012345678901234567890"
      },
      "customer": {
        "id": "<string>"
      },
      "paymentMethod": {
        "type": "apple_pay"
      }
    }
  ],
  "pageInfo": {
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header using an access token.

Example: Authorization: Bearer <accessToken>

Query Parameters

startDate
string<date-time>

Filter transactions created on or after this date. ISO 8601 format.

endDate
string<date-time>

Filter transactions created on or before this date. ISO 8601 format.

cursor
string

Cursor for pagination. Use the nextCursor value from the previous response.

limit
integer<int32>
default:50

Number of items to return per page.

Required range: 1 <= x <= 50

Response

200 - application/json

The request has succeeded.

data
object[]
required
pageInfo
object
required